<script>
	export default {
		onLaunch: function(info) {
			console.log('App Launch');
			uni.sendHostEvent('log',info, (ret) => {
				//发送消息成功回调
				console.log('消息成功app' + JSON.stringify(info));
			
			});
      if (info.referrerInfo?.extraData?.uniMP) {
        uni.setStorageSync('uniMP', info.referrerInfo?.extraData?.uniMP);
        uni.setStorageSync('APP_token', info.referrerInfo?.extraData?.token);
        if(info.referrerInfo?.extraData?.avatar){
          uni.setStorageSync('avatar', info.referrerInfo?.extraData?.avatar);
          uni.$emit('MPinfo', {
            avatar: info.referrerInfo?.extraData?.avatar,
          });
        }
      }
		},
		onShow: function() {
			console.log('App Show');
		},
		onHide: function() {
			console.log('App Hide');
		}
	}
</script>

<style>
	/*每个页面公共css */
	
</style>
